#!/bin/bash

#
# elDoc Java Mongo Connector Service start script
# Type: process forking
#

ELDOC_JMC_SERVICE=jmc-1.3.jar
BASE_DIR=/local/jmc


/bin/java -server \
          -Xmx384m \
          -XX:MaxGCPauseMillis=500 \
          -XX:+UseStringDeduplication \
          -XX:MetaspaceSize=256m \
          -XX:MaxMetaspaceSize=512m \
          -Djava.awt.headless=true \
          -XX:+HeapDumpOnOutOfMemoryError \
          -XX:HeapDumpPath=$BASE_DIR/dump.hprof \
          -jar $BASE_DIR/$ELDOC_JMC_SERVICE \
          --config $BASE_DIR/config-eldoc.json \
          &

#
# End of script
#